use rhai::plugin::*;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum SceneAction {
	None,
	SceneOutfitter,
	SceneLanded,
}

#[export_module]
pub mod sceneaction_mod {
	#[allow(non_upper_case_globals)]
	pub const None: SceneAction = SceneAction::None;

	#[allow(non_upper_case_globals)]
	pub const SceneOutfitter: SceneAction = SceneAction::SceneOutfitter;

	#[allow(non_upper_case_globals)]
	pub const SceneLanded: SceneAction = SceneAction::SceneLanded;
}
